{
    "name": "typescript-cacheable",
    "version": "3.0.3",
    "description": "An in-memory caching (memoization) decorator for Typescript",
    "engines": {
        "node": ">=14.16.0"
    },
    "keywords": [
        "cache",
        "caching",
        "memoize",
        "memoization",
        "typescript",
        "decorator",
        "memoise",
        "memoisation",
        "performance",
        "local storage",
        "scopes",
        "ttl"
    ],
    "files": [
        "dist/**/*"
    ],
    "main": "dist/index.js",
    "types": "dist/index.d.ts",
    "author": "MSTS",
    "license": "MPL-2.0",
    "scripts": {
        "build": "rm -fr dist && tsc -p tsconfig.build.json && yarn run lint && yarn test",
        "format": "prettier --write \"src/**/*.ts\"",
        "lint": "eslint \"{src,apps,libs,test}/**/*.ts\"",
        "test": "jest",
        "test:watch": "jest --watch",
        "test:cov": "jest --coverage --forceExit"
    },
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/msts-public/general/typescript-cacheable"
    },
    "bugs": {
        "url": "https://gitlab.com/msts-public/general/typescript-cacheable/issues"
    },
    "homepage": "https://gitlab.com/msts-public/general/typescript-cacheable/#readme",
    "dependencies": {},
    "devDependencies": {
        "@faker-js/faker": "^6.1.1",
        "@types/express": "^4.17.0",
        "@types/jest": "^27.0.3",
        "@types/node": "^17.0.23",
        "@types/supertest": "^2.0.8",
        "@typescript-eslint/eslint-plugin": "^5.4.0",
        "@typescript-eslint/parser": "^5.4.0",
        "eslint": "^8.3.0",
        "eslint-config-prettier": "^8.3.0",
        "eslint-import-resolver-node": "^0.3.6",
        "eslint-plugin-filenames": "^1.3.2",
        "eslint-plugin-import": "^2.25.3",
        "eslint-plugin-prettier": "^4.0.0",
        "eslint-plugin-security": "^1.4.0",
        "eslint-plugin-unused-imports": "^2.0.0",
        "express": "^4.17.1",
        "jest": "^27.3.1",
        "nodemon": "^2.0.15",
        "prettier": "^2.4.1",
        "statman-stopwatch": "^2.13.0",
        "supertest": "^6.1.6",
        "ts-jest": "^27.0.7",
        "ts-node": "^10.4.0",
        "tsconfig-paths": "^3.12.0",
        "typescript": "^4.5.2"
    },
    "jest": {
        "moduleFileExtensions": [
            "js",
            "json",
            "ts"
        ],
        "rootDir": "./",
        "testRegex": ".spec.ts$",
        "transform": {
            "^.+\\.(t|j)s$": "ts-jest"
        },
        "collectCoverage": false,
        "coverageReporters": [
            "json",
            "html"
        ],
        "coverageDirectory": "./coverage",
        "testEnvironment": "node"
    }
}
